Go to the first, previous, next, last section, table of contents.

### `gf2nton`

`gf2nton(m)`
  :: Converts an element of GF(2^n) into a non-negative integer.

return
  non-negative integer
m
  element of GF(2^n)

- The inverse of `gf2nton`.

    [1] setmod_ff(x^30+x+1);
    x^30+x+1
    [2] N=gf2nton(2^100);
    (@^100)
    [3] simp_ff(N);
    (@^13+@^12+@^11+@^10)
    [4] gf2nton(N);
    1267650600228229401496703205376
    [5] gf2nton(simp_ff(N));
    15360

`References`
  section `gf2nton`

Go to the first, previous, next, last section, table of contents.